/*
** mg_int.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:05:38 1999 vianney rancurel
** Last update Thu Oct 28 20:17:40 1999 
*/
#ifndef MG_INT_H
#define MG_INT_H	1

#include "mg.h"

typedef struct		s_base
{
  int			num;
  char			*str;
  char			*prefix;
} t_base;

#define BASE_HEX_CAP	(65535 + 16)

/* PROTO mg_int.c */
/* mg_int.c */
t_base *base_get_from_num P((int num));
t_status ulong_to_str_i P((unsigned long num, t_base *base, char *str, int max_len));
t_status long_to_str_i P((signed long num, t_base *base, char *str, int max_len));
t_status ulong_to_str P((unsigned long num, int basenum, char *str, int max_len));
t_status long_to_str P((signed long num, int basenum, char *str, int max_len));
t_status long_from_str P((char *str, int *basenum, signed long *num));
t_status ulong_from_str P((char *str, int *basenum, unsigned long *num));
#endif
